#!/bin/bash

# Joseph Polizzotto
# UC Berkeley
# 510-642-0329
# Version 1.0.1
# Instructions: 1) From a directory containing HTML file(s) that contain purple language background, open a Git bash window and enter the path to the script. 2) Press ENTER.

for filename in ./*.html; do

        basePath=${filename%.*}
        baseName=${basePath##*/}

# Check if HTML files exist in current working directory. If not, exit the script.

if [[ ! -f "$filename" ]] ; then	
	echo -e "\n\e[31mHTML files are not located in this directory. Exiting...\e[0m"
exit
fi		
		
sed -i 's/ class="language"//g' "$baseName".html

echo -e "\nPurple background color removed from language switches in \e[35m"$baseName".html\e[0m."

done